org.keycloak.models.cache

## Interface RealmCache

- All Known Implementing Classes:
    InfinispanRealmCache, MemoryRealmCache

      public interface RealmCache

  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addCachedApplication(CachedApplication app)`
    `void` | `addCachedOAuthClient(CachedOAuthClient client)`
    `void` | `addCachedRealm(CachedRealm realm)`
    `void` | `addCachedRole(CachedRole role)`
    `void` | `clear()`
    `CachedApplication` | `getApplication(String id)`
    `CachedRealm` | `getCachedRealm(String id)`
    `CachedRealm` | `getCachedRealmByName(String name)`
    `CachedOAuthClient` | `getOAuthClient(String id)`
    `CachedRole` | `getRole(String id)`
    `void` | `invalidateApplication(CachedApplication app)`
    `void` | `invalidateCachedApplicationById(String id)`
    `void` | `invalidateCachedOAuthClientById(String id)`
    `void` | `invalidateCachedRealm(CachedRealm realm)`
    `void` | `invalidateCachedRealmById(String id)`
    `void` | `invalidateCachedRoleById(String id)`
    `void` | `invalidateOAuthClient(CachedOAuthClient client)`
    `void` | `invalidateRole(CachedRole role)`
    `void` | `invalidateRoleById(String id)`
    `boolean` | `isEnabled()`
    `void` | `setEnabled(boolean enabled)`

- - ### Method Detail

    - #### clear

          void clear()

    - #### getCachedRealm

          CachedRealm getCachedRealm(String id)

    - #### invalidateCachedRealm

          void invalidateCachedRealm(CachedRealm realm)

    - #### addCachedRealm

          void addCachedRealm(CachedRealm realm)

    - #### getCachedRealmByName

          CachedRealm getCachedRealmByName(String name)

    - #### invalidateCachedRealmById

          void invalidateCachedRealmById(String id)

    - #### getApplication

          CachedApplication getApplication(String id)

    - #### invalidateApplication

          void invalidateApplication(CachedApplication app)

    - #### addCachedApplication

          void addCachedApplication(CachedApplication app)

    - #### invalidateCachedApplicationById

          void invalidateCachedApplicationById(String id)

    - #### getOAuthClient

          CachedOAuthClient getOAuthClient(String id)

    - #### invalidateOAuthClient

          void invalidateOAuthClient(CachedOAuthClient client)

    - #### addCachedOAuthClient

          void addCachedOAuthClient(CachedOAuthClient client)

    - #### invalidateCachedOAuthClientById

          void invalidateCachedOAuthClientById(String id)

    - #### getRole

          CachedRole getRole(String id)

    - #### invalidateRole

          void invalidateRole(CachedRole role)

    - #### addCachedRole

          void addCachedRole(CachedRole role)

    - #### invalidateCachedRoleById

          void invalidateCachedRoleById(String id)

    - #### invalidateRoleById

          void invalidateRoleById(String id)

    - #### isEnabled

          boolean isEnabled()

    - #### setEnabled

          void setEnabled(boolean enabled)

Copyright © 2015. All rights reserved.